package dm_taquin.etud;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class Controleur implements ActionListener{
	private Vue vue;
	private Modele modele;
	
	public Controleur(Vue vue, Modele modele)
	{
		this.vue=vue;
		this.modele = modele;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		Object object = e.getSource();
		int posX = 0;
		int posY = 0;
		for (int x =0; x <= this.modele.getXMax(); x++)
			for (int y=0; y <= this.modele.getYMax(); y++)
				if (this.vue.getButtons()[x][y]==object)
				{
					posX=x;
					posY=y;
				}
		this.modele.move(posX, posY);
		this.vue.paint();
		if (this.modele.gagne())
			vue.fin();
		
	}
}
